#
# spec file for package lxpanel
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxpanel
Version:        0.8.1
Release:        3.35
Summary:        Lightweight X11 desktop panel based on fbpanel
License:        GPL-2.0
Group:          System/GUI/LXDE
Url:            http://www.lxde.org/
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  libiw-devel
BuildRequires:  libfm-gtk-devel
BuildRequires:	libxml2-devel
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  wireless-tools
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libmenu-cache)
BuildRequires:  pkgconfig(libwnck-1.0)
BuildRequires:	pkgconfig(keybinder)
Requires:       menu-cache
Requires:		lxmenu-data
Recommends:     %{name}-lang
Provides:       %{name}-plugins >= %{version}
Obsoletes:      %{name}-plugins < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%lang_package

%description
LXPanel is a lightweight X11 desktop panel containing:
1. User-friendly application menu automatically generated from *.desktop files on the system
2. Launcher bar (Small icons clicked to launch apps)
3. Task bar supporting urgency hint (Can flash when gaim gets new incoming messages)
4. Notification area (System tray)
5. Digital clock
6. Run dialog (A dialog lets you type a command and run it, can be called in external programs)
7. Net status icon plug-in (optional, ported from gnome-netstatus-applet)
8. Volume control plug-in (optional, written by jserv)
9. lxpanelctl, an external controller lets you control lxpanel in other programs.
For example, "lxpanelctl run" will show the Run dialog in lxpanel, and "lxpanelctl menu"
will show the application menu. This is useful in key bindings provided by window managers.

%package -n liblxpanel0
Summary:	LXDE panel libraries
Group:		System/Libraries

%description -n liblxpanel0
library for interpolability and access to the API by plugins

%package devel
Summary:	Devel files for %{name}
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Requires:	liblxpanel0 = %{version}
Requires:	glib2-devel
Requires:	menu-cache-devel
Requires:	pkgconfig

%description devel
Headers and development %{name} files.

%prep
%setup -q

%build
%configure --with-plugins=all
make %{?_smp_mflags} V=1

%install
%makeinstall %{?_smp_mflags}
rm %{buildroot}/%{_libdir}/lxpanel/*.la
%find_lang %{name}
%fdupes -s %{buildroot}


%post -n liblxpanel0 -p /sbin/ldconfig

%postun -n liblxpanel0 -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc ChangeLog README COPYING
%{_bindir}/%{name}
%{_bindir}/lxpanelctl
%{_sysconfdir}/xdg/%{name}
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/ui
%dir %{_datadir}/%{name}/images
%dir %{_datadir}/%{name}/images/xkb-flags/
%dir %{_datadir}/%{name}/xkeyboardconfig
%{_datadir}/%{name}/images/xkb-flags/*.png
%{_datadir}/%{name}/images/*.png
%{_datadir}/%{name}/xkeyboardconfig/layouts.cfg
%{_datadir}/%{name}/xkeyboardconfig/models.cfg
%{_datadir}/%{name}/xkeyboardconfig/toggle.cfg
%{_datadir}/%{name}/ui/*.ui
%{_mandir}/man1/*.1.gz
%{_libdir}/%{name}/plugins/batt.so
%{_libdir}/%{name}/plugins/cpu.so
%{_libdir}/%{name}/plugins/deskno.so
%{_libdir}/%{name}/plugins/kbled.so
%{_libdir}/%{name}/plugins/netstatus.so
%{_libdir}/%{name}/plugins/thermal.so
%{_libdir}/%{name}/plugins/volumealsa.so
%{_libdir}/%{name}/plugins/xkb.so
%{_libdir}/%{name}/plugins/cpufreq.so
%{_libdir}/%{name}/plugins/monitors.so
%{_libdir}/%{name}/plugins/netstat.so
%{_libdir}/%{name}/plugins/weather.so
%config(noreplace) %{_sysconfdir}/xdg/%{name}/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lxpanel/liblxpanel.so

%files -n liblxpanel0
%defattr(-,root,root)
%dir %{_libdir}/lxpanel
%{_libdir}/lxpanel/liblxpanel.so.0
%{_libdir}/lxpanel/liblxpanel.so.0.0.0

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed May  6 2015 trcs@gmx.com
- New upstream version 0.8.1
  * Improved OSS headers detection a bit.
  * Fixed expand setting on plugins with default_expand when more
    than one is available on the same panel.
  * Fixed icon for task button that retrieved using WM_HINTS.
  * Fixed wrong PanelIconGrid arrangement in vertical panel
    orientation.
  * Fixed missing handlers disconnect when destroying Task
    structure.
  * Removed writing debug messages to file when 'indicator' plugin
    is in use - it will write all the debug there and that changes
    the behavior which was not intended really.
  * Corrected background for 'indicator' plugin.
  * Fixed update 'indicator' plugin on configuration changes.
  * Fixed battery status: if discharge rate is 0 then it's charged.
  * Fixed incorrect cycle in netproc_devicelist_clear() leading to
    crash on resume (after suspend).
  * Fixed scanning for temperature sensors which failed with some
    kernels.
  * Changed reconfiguring panel behavior: callbacks to plugins will
    be sent on idle, not immediately to avoid "stuck" spin button
    (and eventually even crash was possible).
  * Fixed initial icon on 'volumealsa' to show real state instead
    of muted.
  * Fixed 'dclock' updating that it will show time on start, not
    just on next second change. It would create impression it's
    slow otherwise.
  * Fixed wrong task button activation on not processed drag of
    button.
* Mon Dec  8 2014 andrea@opensuse.org
- New upstream version 0.8.0
  * complete multi-monitor support
  * improve and further simplify plugins API
  * full changelog at http://blog.lxde.org/?p=1323
* Thu Oct 23 2014 trcs@gmx.com
- new upstream version 0.7.2
  * Fixed unhiding panel if it becomes empty and height_when_hidden
    is 0
  * Fixed invalid X protocol word size: despite of stating it 32
    bit, the X server uses unsigned long which is 64 bit on 64-bit
    architectures
  * Adapted to use libmenu-cache >= 1.0.0 - it could show empty
    folders in the desktop menu
  * Fixed crash in taskbar after visible task changed name then
    gone
  * Ensured panel background update after some plugin was resized
  * FileManager statement from old config should never be scanned
    again
  * Fixed positioning of new created panel, the edge was not saved
  * Eliminated hardcoded "xterm" in 'volumealsa' plugin - LibFM has
    enough means to call terminal when needed
  * Fixed crash if 'volumealsa' plugin initialization failed
- removed unnecessary patches
  * lxpanel-0.7.1-fix-empty-panel-unhide-if-height_when_hidden-is-0.patch
  * lxpanel-0.7.1-fix-panel-covering-maximized-windows.patch
* Mon Sep 22 2014 trcs@gmx.com
- new upstream version 0.7.1
  * Fixed search for the gtkrc file.
  * Fixed search path for configuration - it should be not
    compilation time path but paths using $XDG_CONFIG_DIRS.
  * Fixed incorrect flag for 'launchbar' plugin which marks him
    expandable.
  * Fixed dragging of task buttons.
  * Corrected using $XDG_MENU_PREFIX to work the same way as
    libfm does.
  * Fixed using font description, font in gtkrc file was ignored.
  * Improved search for hw sensors in /sys/class/hwmon/ hierarchy.
  * Improved check for critical temperatures in 'termal' plugin,
    now each individual hardware setting (if available) is also
    taken into consideration.
  * Fixed parsing alias name in 'weather' plugin settings.
  * Got rid of all individual plugins/*/Makefile - those rules
    more easily can be contained in the plugins/Makefile.am.
    Adding a simple plugin basically would mean to add three
    lines into that file instead of writing whole Makefile.am.
  * Fixed invalid system config path search ("lxpanel" part was
    missing).
  * Fixed incorrect requirements in the lxpanel.pc file.
  * Fixed memory leak in the 'volumealsa' plugin.
  * Now 'volumealsa' checks for 'MixerCommand' setting in the
  configuration before guessing it.
  * Fixed color saving in the configuration.
  * Fixed incomplete resources deallocation in 'volumealsa'
    plugin.
  * Fixed make uninstall (it left plugins installed).
  * Fixed monitor number set from GUI.
  * Fixed hang on netstatus icon in auto-hidden panel.
  * Fixed icon grid compilation with GTK+ < 2.20.
  * Fixed compilation without menu-cache.
  * Now man pages are included in the GIT and tarball, not just
    xml files.
  * Fixed incorrect printf arguments in 'netstatus' plugin.
- Removed
  lxpanel-0.7.0-fix-crash-after-click-on-empty-part-of-panel.patch
- Added
  lxpanel-0.7.1-fix-empty-panel-unhide-if-height_when_hidden-is-0.patch
- Added lxpanel-0.7.1-fix-panel-covering-maximized-windows.patch
* Thu Aug 21 2014 trcs@gmx.com
- new upstream version 0.7.0
  * New plugin 'launchtaskbar' with combined functionality from
    'launchbar' and 'taskbar'. For easy support codebase is
    merged instead of doing duplicates but appearance is still
    the same in dependency from mode chosen.
  * Integrated with LibFM, all launching and application selection
    in the launchbar settings is done by LibFM now.
  * New simpler plugins API implementation, using LibFM plugins
    loader. In new API some callbacks were simplified and some
    removed, see all the detailed descriptions in the file
    plugin.h.
  * New plugins are GtkWidgets now, therefore there is no explicit
    destroy for them or their data, all will be handled implicitly.
  * Changed config access with simple API similar to libconfig one.
  * Using icon caching from LibFM.
  * Applications properties in the menu are managed by LibFM API,
    no more calls to lxshortcut application.
  * Setting for file manager is not handled on its own but XDG
    setting is used now, i.e. default choice for "inode/directory"
    MIME type.
  * Setting for terminal is handled by LibFM, therefore it is the
    same as in PCManFM now, no own setting anymore.
  * Replaced configure option --enable-cast-checks with
  - -enable-debug.
  * Replaced 'pager' plugin with former 'wnckpager' one. The
    'wnckpager'name is still supported for compatibility but it is
    the same plugin.
  * Added new plugin 'weather', written by Piotr Sipika.
  * Using drag & drop handling from LibFM in launchbar. It is
    possible now to use any kind of files as launchbuttons, and
    folders can receive drops as well.
  * Allowed drag applications from system menu plugin so they now
    can be dropped somewhere. The obvious example is drop on the
    desktop.
  * Using human readable sensor names if available (like 'Core 0',
    etc.).
  * Panel is allowed to hide completely (setting width when hidden
    to 0).
  * The IconGrid converted into GtkContainer derived class
    PanelIconGrid.
  * Allowed to use <USER_CONFIG_DIR>/lxpanel/<profile>/gtkrc for
    the panel custom style setup.
  * The panel itself in not a struct now but a GtkWindow derived
    class so no special API to destroy it is required.
  * Improved the layout of icons in panel, they will not align to
    the edge of screen but appropriately to panel height. Some of
    them did that already but some were aligned to the screen edge
    without any gap.
  * The button to configure plugin in panel plugins configuration
    tab is renamed from 'Edit' to 'Properties'.
  * All logging is unified. The option --log is deprecated and
    isn't used anymore. User can change logs appearance using
    G_MESSAGES_DEBUG and G_MESSAGES_PREFIXED environment variables
    (see GLib docs).
  * Old APIs are in place still for backward compatibility with
    third party plugins but will be dropped later, supposedly on
    next feature release point. Old APIs are not present in public
    headers, compatibility is on binary level only.
  * A whole lot of bugfixes.
- added
  lxpanel-0.7.0-fix-crash-after-click-on-empty-part-of-panel.patch
  to make LXPanel not to crash when it's clicked on an empty part
* Fri May  9 2014 trcs@gmx.com
- new upstream version 0.6.2
  * monitors: fix for newer kernels (>=3.14)
  * misc,menu: ID 3615268 - lxpanel load icon from icon theme first
  * batt: detect when battery is inserted or removed
  * batt: don't fail if there is no battery
  * menu: fix ID: 3614733, doesn't interpret %%c in .desktop
* Sun Jan  5 2014 trcs@eresmas.com
- new upstream version 0.6.1
  * no changelog provided
* Thu Mar 28 2013 mvyskocil@opensuse.org
- update to 0.5.12 (bugfix release, no changelog provided)
  * obsoletes lxpanel-0.5.10-automake-1.12.patch
  * obsoletes lxpanel-0.5.8-fix-libgmodule-underlinking.patch
- use pkgconfig() BuildRequires when possible
* Fri Jun 22 2012 mvyskocil@opensuse.org
- update to 5.10
  * configuration for two panel layout
  * new plugins monitor, netstat and wnckpager
- refresh automake patch and apply on 12.2+ only
- explicitly require menu-cache
* Mon Jun 11 2012 gber@opensuse.org
- lxpanel includes code from Suxpanel which is GPL 2.0 only, the
  resulting binary is thus also GPL 2.0 only and not GPL 2.0 or
  later (bnc#766371)
* Thu Jun  7 2012 pgajdos@suse.com
- build with automake 1.12
  * automake-1.12.patch
* Tue Jan 17 2012 gber@opensuse.org
- added lxpanel-0.5.8-fix-libgmodule-underlinking.patch in order to
  explicitly link against libgmodule
- removed unecessary build dependencies
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Thu Sep 22 2011 andrea.turrini@gmail.com
- fixed typos in lxpanel.spec
* Fri Jul 29 2011 andrea@opensuse.org
- New upstream bugfix version 0.5.8
- removed lxpanel-0.5.7-fix-gcc-warnings.patch
  lxpanel-0.5.7-fix-gcc-warnings.patch and
  lxpanel-0.5.7-fix-gtkrequisition.patch now in upstream code
* Tue Jul 26 2011 gber@opensuse.org
- added lxpanel-0.5.7-fix-gcc-warnings.patch in order to fix two
  typos
* Sun Jul 24 2011 andrea@opensuse.org
- added lxpanel-0.5.7-fix-gcc-warnings.patch and
  lxpanel-0.5.7-fix-gtkrequisition.patch to fix compiler warnings
  and wrong usage of gtk functions
* Sun Jul 24 2011 andrea@opensuse.org
- new upstream version 0.5.7
  * translations update
  * fix bugs in plugins
- removed patch now in upstream code
* Wed Aug 11 2010 andrea@opensuse.org
- added lxpanel-0.5.6-fix-alarm.patch that fix a compilation
  error because of a conflicting type alarm
* Tue Jul 20 2010 andrea@opensuse.org
- new upstream version 0.5.6
- removed all previous patches now into upstream code
* Mon Jun  7 2010 andrea@opensuse.org
- changed RPM Group to System/GUI/LXDE
* Mon May 24 2010 andrea@opensuse.org
- backported the following patches from upstream code to fix
  bugs and overflows:
  * lxpanel-0.5.5-fix-batt_status.patch
  * lxpanel-0.5.5-fix-g_locale_to_utf8.patch
  * lxpanel-0.5.5-fix-kbled.patch
  * lxpanel-0.5.5-fix-panel_draw_label_text.patch
  * lxpanel-0.5.5-fix-sort_dirmenu.patch
  * lxpanel-0.5.5-missing_glades.patch.gz
* Sun May 23 2010 andrea@opensuse.org
- restored lxpanel-0.5.5-fix-sf2954636.patch, for unknown reasons,
  the content was been erased
* Fri Apr 16 2010 andrea@opensuse.org
- renamed patch lxpanel-0.5.5-fix-sf#2954636.patch to
  lxpanel-0.5.5-fix-sf2954636.patch, this avoid problems
  because of char '#'
* Tue Apr  6 2010 andrea@opensuse.org
- removed un-supported locale
* Tue Mar  2 2010 andrea@opensuse.org
- Fix failure to honor Terminal=true in menu
  and launchbar #sf2954636
* Wed Feb 17 2010 andrea@opensuse.org
- new upstream version 0.5.5
  * Startup becomes slightly faster.
  * Configuration dialog of launchbar applet become much faster
  * Some translation updates.
  * Several small bug fixes.
- removed no more useful patches now in upstream code
* Tue Feb  2 2010 andrea@opensuse.org
- simply do not lose translation because of previous patch,
  added lxpanel-0.5.4.1-translations.patch
* Sun Jan 31 2010 andrea@opensuse.org
- added lxpanel-0.5.4.1-fix-#sf2834685-#sf2937420.patch
  * Blinking of the panel when autohide is enabled and
    there is a popup from a systray icon (Bug2937420).
  * Fix flaky operation of Raise (Bug2834685 )
  * Remove debugging output
- added -lang package
* Sun Dec 13 2009 andrea@opensuse.org
- new upstream version 0.5.4.1
- upstream translations improvment
* Fri Dec 11 2009 andrea@opensuse.org
- new upstream version 0.5.4
* Sun Aug  9 2009 andrea@opensuse.org
- new upstream version 0.5.3
* Sun Aug  2 2009 andrea@opensuse.org
- new upstream version 0.5.1
* Fri Jul 31 2009 andrea@opensuse.org
- new upstream version 0.5.0
* Tue Jul 14 2009 andrea@opensuse.org
- new svn version
- update to svn 1825 (in the same day) to fix some of post checks
* Fri May 22 2009 andrea@opensuse.org
- New package (0.4.1)
